% Set zw0 value according to given restrictions
Z_temp = str2double(get(gco,'String'));
if (isnan(Z_temp))
    set(gco,'String',num2str(Z_temp));
elseif ~or(Z_temp == 0, and(Z_temp >= Z_min, Z_temp <= Z_max))
    if (Z_temp <= 1)
        zw0 = 0;
        set(gco,'String',num2str(zw0));
    elseif and(Z_temp < Z_min, Z_temp > 1)
        zw0 = Z_min;
        set(gco,'String',num2str(zw0));
    else
        zw0 = Z_max;
        set(gco,'String',num2str(zw0));
    end
else
    zw0 = Z_temp;
end;