function d21 = dipol(etan2, etan1, En2, En1, mp2, mp1)
% Calculation of dipole element

    global z dz Angstrom hbar e
    
    d21 = sum(etan2 .* z .* etan1) * dz * Angstrom + ...
          hbar ^ 2 / 2 / (En2 - En1) / e * ...
          sum(etan2(1 : end - 2) .* diff((mp2 - mp1) / mp2 / mp1 * z(1 : end - 1) .* diff(etan1))) / dz / Angstrom;

end

