% Create fitness function

function F = fitness_fun(x1, x2, x3, x4, x5, x6, x7)

global omega 

% Set parameters to be optimizated
% -------------------------------------------------------------------------
X = x1;
K = x2;
zw0 = x3;
zb1 = x4;
zw1 = x5;
zb2 = x6;
zw2 = x7;
% -------------------------------------------------------------------------

Omega = 0.05;


main1_opt % calculate eigenvalues and wave functions
En = E123; % eigenvalues
eta = eta123'; % wave functions

% Fitness function
% -------------------------------------------------------------------------

if En(3) < 0.75 * Ub
    F = - QCLgain_opt(X, K, zw0, zb1, zw1, zb2, zw2, U0, En, eta) ...
        / ( ( En(3) - En(2) - hbar * omega / e)^2 / (hbar * omega / e)^2 + Omega^2 ) ...
        / ( ( En(2) - En(1) - hbaromLO )^2 / hbaromLO^2 + Omega^2 );
else
    F = Inf;
end

end
